Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.editparts
Class ConnectorEditPart

    java.lang.Object
      |
      +--org.eclipse.gef.editparts.AbstractEditPart
            |
            +--org.eclipse.gef.editparts.AbstractGraphicalEditPart
                  |
                  +--org.eclipse.gef.editparts.AbstractConnectionEditPart
                        |
                        +--APStudio.editparts.ConnectorEditPart

All Implemented Interfaces:
  org.eclipse.gef.ConnectionEditPart, org.eclipse.gef.EditPart, java.util.EventListener, org.eclipse.gef.GraphicalEditPart, org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.LayerConstants, java.beans.PropertyChangeListener, org.eclipse.gef.RequestConstants

public class ConnectorEditPart
extends org.eclipse.gef.editparts.AbstractConnectionEditPart
implements java.beans.PropertyChangeListener

Author:
  rajags Manages the construction edge. Creates a construction edge object and responds to the property event changes on the object. Called the connector as a general reference.

Field Summary
`static org.eclipse.swt.graphics.Color` | `alive`
`static org.eclipse.swt.graphics.Color` | `dead`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.LayerConstants
`CONNECTION_LAYER, FEEDBACK_LAYER, HANDLE_LAYER, PRIMARY_LAYER, PRINTABLE_LAYERS`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ConnectorEditPart()`

Method Summary
`void` | `activate()`
`void` | `activateFigure()`
`void` | `deactivate()` This method is called when the EditPart is no longuer active.
`void` | `deactivateFigure()`
`org.eclipse.gef.AccessibleEditPart` | `getAccessibleEditPart()`
`void` | `propertyChange(java.beans.PropertyChangeEvent arg0)`

Methods inherited from class org.eclipse.gef.editparts.AbstractConnectionEditPart
`addNotify, getAdapter, getConnectionFigure, getDragTracker, getSource, getTarget, refresh, removeNotify, setParent, setSource, setTarget`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart
`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setModel, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart
`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setModel, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Field Detail

### dead

    public static final org.eclipse.swt.graphics.Color dead

### alive

    public static final org.eclipse.swt.graphics.Color alive

Constructor Detail

### ConnectorEditPart

    public ConnectorEditPart()

Method Detail

### activate

    public void activate()

  Specified by:
    `activate` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `activate` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### deactivate

    public void deactivate()

  This method is called when the EditPart is no longuer active. We use this call to unregister our listener from HelloConnectionModel.

  Specified by:
    `deactivate` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `deactivate` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### activateFigure

    public void activateFigure()

  Overrides:
    `activateFigure` in class `org.eclipse.gef.editparts.AbstractConnectionEditPart`

### deactivateFigure

    public void deactivateFigure()

  Overrides:
    `deactivateFigure` in class `org.eclipse.gef.editparts.AbstractConnectionEditPart`

### getAccessibleEditPart

    public org.eclipse.gef.AccessibleEditPart getAccessibleEditPart()

  Overrides:
    `getAccessibleEditPart` in class `org.eclipse.gef.editparts.AbstractEditPart`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent arg0)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD